KDE 4.9 PyKDE API Reference

- KDE's Python API

# SearchRunnerPlugin Class Reference

`from PyKDE4.marble import *`

Inherits: QObject,Marble.PluginInterface
Namespace: Marble

## Detailed Description

A plugin for Marble to execute a placemark search.

## Methods
| __init__ (self, QObject parent=0)
bool | canWork (self)
bool | canWorkOffline (self)
QString | guiString (self)
QIcon | icon (self)
Marble.MarbleAbstractRunner | newRunner (self)
| setCanWorkOffline (self, bool canWorkOffline)
| setSupportedCelestialBodies (self, QStringList celestialBodies)
bool | supportsCelestialBody (self, QString celestialBodyId)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Constructor with optional parent object

bool canWork | ( |  | self ) |

Returns

     true @endcode if the plugin is able to perform its claimed task.

     The default implementation returns @code true @endcode. This method can be
     overridden for example to indicate an incomplete installation.

bool canWorkOffline | ( |  | self ) |

True if the plugin can execute its tasks without network access

QString guiString | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the string that should appear in the user interface.

For example, "Nominatim" should be returned for the Nominatim search plugin.

QIcon icon | ( |  | self ) |

Marble.MarbleAbstractRunner newRunner | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Plugin factory method to create a new runner instance. Method caller gets ownership of the returned object

setCanWorkOffline | ( | self, |
|  | bool | canWorkOffline
| ) |  |  |

setSupportedCelestialBodies | ( | self, |
|  | QStringList | celestialBodies
| ) |  |  |

bool supportsCelestialBody | ( | self, |
|  | QString | celestialBodyId
| ) |  |  |

True if the plugin supports its tasks on the given planet